<?php

/**
 * Class permettant de referencer par type de document une liste d'elements interne exemple d'utilisation creation d'ao panier et recuperation de la liste via le suivi
 * @author edp
 *
 */
class ObjetcDocSuvi extends Properties
{

    private $listeDocument = null;

    public function ajouteDocument($typeDoc, $numDoc)
    {
        $this->listeDocument[$typeDoc][] = & $numDoc;
        
        return true;
    }

    public function getDocumentType($typeDoc)
    {
        if (is_array($this->listeDocument) && array_key_exists($typeDoc, $this->listeDocument))
            return $this->listeDocument[$typeDoc];
        else
            return null;
    }
}

